View Issue Details

IDProjectCategoryView StatusLast Update
0005284Talermechant backendpublic2019-01-31 19:33
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005284: Take curl context out of arguments from test instructions.
DescriptionAll test instructions take the usual GNUNET_CURL_Context among
their arguments, when the instruction is initialized.

Since those test instructions also get hold of the interpreter state,
they could simply retrieve the curl context from there, so there is no
need to pass the curl context among the arguments.

WARNING: this issue might NOT apply to _all_ test instructions.
TagsNo tags attached.

Activities

Marcello Stanisci

2018-02-21 16:20

manager   ~0012866

Last edited: 2018-02-21 16:21

View 3 revisions

The same applies for the exchange handle (struct TALER_EXCHANGE_Handle *)
which is also kept within the interpreter state but is passed as argument too.

If this note is a real improvement, then consider adapting the _exchange_
test cases too.

Christian Grothoff

2018-11-18 00:49

manager   ~0013345

I agree, duplicating this in each command and in the interpreter state is ugly.

Marcello Stanisci

2018-12-18 15:13

manager   ~0013418

b78b991 clears the merchant. Keeping it open until the exchange's code also gets cleared (see note 12886).

Marcello Stanisci

2018-12-18 18:27

manager   ~0013419

b22b36a2 clears the exchange, and ee7f59d does the merchant after exchange's changes. Closing.

Issue History

Date Modified Username Field Change
2018-02-21 13:21 Marcello Stanisci New Issue
2018-02-21 13:21 Marcello Stanisci Status new => assigned
2018-02-21 13:21 Marcello Stanisci Assigned To => Marcello Stanisci
2018-02-21 13:22 Marcello Stanisci Severity minor => tweak
2018-02-21 13:22 Marcello Stanisci Description Updated View Revisions
2018-02-21 16:20 Marcello Stanisci Note Added: 0012866
2018-02-21 16:21 Marcello Stanisci Note Edited: 0012866 View Revisions
2018-02-21 16:21 Marcello Stanisci Note Edited: 0012866 View Revisions
2018-11-18 00:49 Christian Grothoff Note Added: 0013345
2018-11-18 00:49 Christian Grothoff Product Version => SVN HEAD
2018-11-18 00:49 Christian Grothoff Target Version => 0.7
2018-12-18 15:13 Marcello Stanisci Note Added: 0013418
2018-12-18 18:27 Marcello Stanisci Note Added: 0013419
2018-12-18 18:27 Marcello Stanisci Status assigned => resolved
2018-12-18 18:27 Marcello Stanisci Resolution open => fixed
2019-01-31 19:33 Christian Grothoff Fixed in Version => 0.6
2019-01-31 19:33 Christian Grothoff Target Version 0.7 => 0.6